Subject: [PATCH v2 13/16] mmc: meson-gx: use CCF to handle the clock phases

From: [email-masked] (Kevin Hilman)
Date: Thu, 24 Aug 2017 17:04:26 -0700

Jerome Brunet <[email-masked]> writes:

> Several phases can be controlled on the meson-gx controller, the core, tx
> and rx clock phase. The tx and rx uses delays to allow for a more fine
> grained setting of the phase. To properly compute the phase using delays,
> accessing the clock rate is necessary.
>
> Instead of ad-hoc functions, use the common clock framework to set the
> clock phases (and access the clock rate while doing it).
>
> Signed-off-by: Jerome Brunet <[email-masked]>

I have to admit to not fully understanding the MMC tuning aspsects here,
but I like this approach to using the clock framework for handling the
extra clocks.

Acked-by: Kevin Hilman <[email-masked]>